<!DOCTYPE html>
<html lang="fr">

<head>
    <meta charset="UTF-8">
    <title>Oauth2 ESGI</title>
    <link href="style.css" rel="stylesheet">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" integrity="sha384-wvfXpqpZZVQGK6TAh5PVlGOfQNHSoD2xbE+QkPxCAFlNEevoEH3Sl0sibVcOQVnN" crossorigin="anonymous">
</head>

<body>
    <div class="wrapper">
        <div class="container">
            <h1 id="txt_con">Connexion</h1>
            <form class="form">
                <button type="submit" id="login_fb-button"><i class="fa fa-facebook-square" aria-hidden="true"></i>&nbsp;Facebook</button><br><br>
                <button type="submit" id="login_gt-button"><i class="fa fa-github-alt" aria-hidden="true"></i>&nbsp;Github</button><br><br>
                <button type="submit" id="login_pr-button"><i class="fa fa-bath" aria-hidden="true"></i>&nbsp;Other</button>
            </form>
        </div>
        <ul class="bg-bubbles">
            <li></li>
            <li></li>
            <li></li>
            <li></li>
            <li></li>
            <li></li>
            <li></li>
            <li></li>
            <li></li>
            <li></li>
        </ul>
    </div>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
    <script>
        $("#login_fb-button").click(function (event) {
            event.preventDefault();
            $("#txt_con").html("<i class='fa fa-facebook-square' aria-hidden='true'></i> Connexion via Facebook en cours ...");
            $('form').fadeOut(500);
            $('.wrapper').addClass('form-success');
            setTimeout(window.open("http://localhost:8081/signin.php?service=facebook", "_self"), 2000);
        });
        $("#login_gt-button").click(function (event) {
            event.preventDefault();
            $("#txt_con").html("<i class='fa fa-github-alt' aria-hidden='true'></i> Connexion via Github en cours ...");
            $('form').fadeOut(500);
            $('.wrapper').addClass('form-success');
            setTimeout(window.open("http://localhost:8081/signin.php?service=github", "_self"), 2000);
        });
        $("#login_pr-button").click(function (event) {
            event.preventDefault();
            $("#txt_con").html("<i class='fa fa-bath' aria-hidden='true'></i> Connexion via ESGI en cours ...");
            $('form').fadeOut(500);
            $('.wrapper').addClass('form-success');
            setTimeout(window.open("http://localhost:8081/signin.php?service=esgi", "_self"), 2000);
        });
    </script>
</body>

</html>